Package org.apache.catalina.security

## Class SecurityConfig

- java.lang.Object
- - org.apache.catalina.security.SecurityConfig

-     public final class SecurityConfig
      extends java.lang.Object

  Util class to protect Catalina against package access and insertion. The code are been moved from Catalina.java
  Author:
    the Catalina.java authors

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SecurityConfig` | `newInstance()` | Returns the singleton instance of that class.
    `void` | `setPackageAccess()` | Set the security package.access value.
    `void` | `setPackageDefinition()` | Set the security package.definition value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newInstance

          public static SecurityConfig newInstance()

      Returns the singleton instance of that class.
      Returns:
        an instance of that class.

    - #### setPackageAccess

          public void setPackageAccess()

      Set the security package.access value.

    - #### setPackageDefinition

          public void setPackageDefinition()

      Set the security package.definition value.